#include <iostream>

using namespace std;
void unos_niza(int a[],int n)
{
    for (int i=0;i<n;i++)
        cin >> a[i];
}

void sortiranje_u_rastucem_poretku (int a[],int n)
{
    int i,j,temp;
    for (i=0;i<n;i++)
        for (j=i+1;j<n;j++)
            if(a[i]>a[j])
            {
                temp=a[i];
                a[i]=a[j];
                a[j]=temp;
            }
}

int main()
{
    int t,i,n,m,j;
    cin >> t;
    int a[75000],b[75000],pomocna_matrica[2][t];
    for (i=0;i<2;i++)
        for (j=0;j<t;j++)
            pomocna_matrica[i][j]=0;
    if ((t>=1)&&(t<=5))
    {
        for (j=0;j<t;j++)
        {
            cin >> n >> m;
            unos_niza(a,n);
            unos_niza(b,m);
            sortiranje_u_rastucem_poretku(a,n);
            pomocna_matrica[0][j]=n;
            pomocna_matrica[1][j]=m;
        }
        for (j=0;j<t;j++)
        {
            for (i=2;i<pomocna_matrica[0][j];i++)
            {
                if (a[i]-a[i-1]!=a[1]-a[0])
                {
                    cout << 0 << endl;
                    break;
                }
                else
                    for (i=0;i<pomocna_matrica[0][j];i++)
                    {
                        for (int j=0;j<pomocna_matrica[1][j];j++)
                            if (a[i]==b[j])
                                {
                                    cout << 0 << endl;
                                    break;
                                }
                    }
            }
            cout << 1 << endl;
        }

    }
    return 0;
}